Deletes a single Knowledge Base Entry using the `id` field
- Base URL
-
https://{kibana_url}
-
DELETE
/api/security_ai_assistant/knowledge_base/entries/{id}
-
DELETE
/s/{space_id}/api/security_ai_assistant/knowledge_base/entries/{id}
Auth
Delete a Knowledge Base Entry by its unique id.
-
space_id
string
optional
-
An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.
-
id
string · format: nonempty · min length: 1
required
-
The unique identifier (id) of the Knowledge Base Entry to delete.
-
Example:
12345
Successful request returning the id of the deleted Knowledge Base Entry.
application/json
-
id
string · format: nonempty · min length: 1
required
-
A string that does not contain only whitespace characters.
A generic error occurred, such as an invalid id or the entry not being found.
application/json
-
error
string
required
-
Error type or category.
-
message
string
required
-
Detailed error message.
-
statusCode
number
required
-
HTTP status code of the error.